<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
  <html>

  <head>
   <title>TODO list for project "<xsl:value-of select="todolist/@projectname"/>"</title>
  <style>
   	body {
   		font-family: Verdana;
   		font-size: 10px;
   	}
  	h3 {
  		color: black;
  	}
  	.statusbar {
  		border: 1px solid black;
  	}
  	.bar {
  		background-color: #BFD0E0;
  		text-align: right;
  		padding-right: 5px;
  		font-weight: bold;
  	}
  	table {
   		font-family: Verdana;
   		font-size: 11px;  	
  	}
  </style>
  </head>
  <body>
  	<h3>TODO list for project "<xsl:value-of select="todolist/@projectname"/>"</h3>
    <table style="width: 100%;">
    <tr bgcolor="#eeeeee">
      <th style="width: 15%;">Subject</th>
      <th style="width: 10%;">Priority</th>      
      <th style="width: 10%;">Complete</th>      
      <th style="width: 15%;">Status</th>
      <th style="width: 50%;">Notes</th>      
    </tr>
    <xsl:for-each select="todolist/todoitem">
    <xsl:sort select="completion"/>
    <tr style="vertical-align: center;">
      <td>
	  	<xsl:value-of select="caption"/>
	  </td>
	  <td>
	  <xsl:value-of select="priority"/>
	  </td>	  
      <td><div class="statusbar">
	  	<xsl:element name="div">
	  	<xsl:attribute name="class">bar</xsl:attribute>
        <xsl:attribute name="style">width: <xsl:value-of select="completion" /></xsl:attribute>
		<xsl:value-of select="completion" />   
	    </xsl:element>
	  </div>
	  </td>
	  
	  <td>
	  <xsl:value-of select="status"/>
	  </td>
	  <td>
      <xsl:value-of select="notes"/>	  
	  </td>
    </tr>
    </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template></xsl:stylesheet>
